# Stage - pixi.js

#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# Stage Class

Extends DisplayObjectContainer
Defined in: `src/pixi/display/Stage.js:5`
Module: PIXI

A Stage represents the root of the display tree. Everything connected to the stage is rendered

## Constructor

### `Stage`

(

- `backgroundColor`

)

Defined in `src/pixi/display/Stage.js:5`

#### Parameters:

- `backgroundColor` Number

  the background color of the stage, easiest way to pass this in is in hex format like: 0xFFFFFF for white

- Index
- Methods
- Properties

## Item Index

### Methods

- addChild
- addChildAt
- click
- getChildAt
- getMousePosition
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- removeChild
- setBackgroundColor
- setInteractionDelegate
- setInteractive deprecated
- swapChildren
- tap
- touchend
- touchendoutside
- touchstart

### Properties

- _interactive
- alpha
- buttonMode
- children
- color
- defaultCursor
- dirty
- dynamic
- filters
- height
- hitArea
- interactive
- interactive
- localTransform
- mask
- parent
- pivot
- position
- renderable
- rotation
- scale
- stage
- visible
- width
- worldAlpha
- worldTransform
- worldVisible

## Methods

### `addChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:70`

Adds a child to the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to add to the container

### `addChildAt`

(

- `child`
- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:81`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `child` DisplayObject

  The child to add

- `index` Number

  The index to place the child in

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:188`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `getChildAt`

(

- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:135`

Returns the child at the specified index

#### Parameters:

- `index` Number

  The index to get the child from

### `getMousePosition`

() Point

Defined in `src/pixi/display/Stage.js:119`

This will return the point containing global coords of the mouse.

#### Returns:

Point:

The point containing the coords of the global InteractionData position.

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:194`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:220`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:214`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:200`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:207`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `removeChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:153`

Removes a child from the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to remove

### `setBackgroundColor`

(

- `backgroundColor`

)

Defined in `src/pixi/display/Stage.js:103`

Sets the background color for the stage

#### Parameters:

- `backgroundColor` Number

  the color of the background, easiest way to pass this in is in hex format like: 0xFFFFFF for white

### `setInteractionDelegate`

(

- `domElement`

)

Defined in `src/pixi/display/Stage.js:66`

Sets another DOM element which can receive mouse/touch interactions instead of the default Canvas element. This is useful for when you have other DOM elements on top of the Canvas element.

#### Parameters:

- `domElement` DOMElement

  This new domElement which will receive mouse/touch events

### `setInteractive`

(

- `interactive`

)
deprecated

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:261`

Deprecated: Simply set the `interactive` property directly

[Deprecated] Indicates if the sprite will have touch and mouse interactivity. It is false by default Instead of using this function you can now simply set the interactive property to true or false

#### Parameters:

- `interactive` Boolean

### `swapChildren`

(

- `child`
- `child2`

)
private

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:109`

[NYI] Swaps the depth of 2 displayObjects

#### Parameters:

- `child` DisplayObject
- `child2` DisplayObject

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:231`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:244`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:250`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:238`

A callback that is used when the user touches over the displayObject

#### Parameters:

- `interactionData` InteractionData

## Properties

### `_interactive`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:115`

[read-only] Whether or not the object is interactive, do not toggle directly! use the `interactive` property

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:47`

The opacity of the object.

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:72`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `children`

Array<DisplayObject>

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:18`

[read-only] The of children of this container.

### `color`

Array<> private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:154`

[NYI] Unknown

### `defaultCursor`

String

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:125`

This is the cursor that will be used when the mouse is over this object. To enable this the element must have interaction = true and buttonMode = true

### `dirty`

Boolean private

Defined in `src/pixi/display/Stage.js:44`

Whether the stage is dirty and needs to have interactions updated

### `dynamic`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:163`

[NYI] Holds whether or not this object is dynamic, for rendering optimization

### `filters`

Array An array of filters

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:335`

Sets the filters for the displayObject.

- IMPORTANT: This is a webGL only feature and will be ignored by the canvas renderer. To remove filters simply set this property to 'null'

### `height`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:51`

The height of the displayObjectContainer, setting this will actually modify the scale to achieve the value set

### `hitArea`

Rectangle | Circle | Ellipse | Polygon

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:63`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `interactive`

Boolean

Inherited from DisplayObject but overwritten in `src/pixi/display/Stage.js:28`

Whether or not the stage is interactive

### `interactive`

InteractionManager

Defined in `src/pixi/display/Stage.js:36`

The interaction manage for this stage, manages all interactive activity on the stage

### `localTransform`

Mat3 private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:144`

[read-only] Current transform of the object locally

### `mask`

Graphics

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:315`

Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PIXI a regular mask must be a PIXI.Graphics object. This allows for much faster masking in canvas as it utilises shape clipping. To remove a mask, set this property to null.

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:88`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:31`

The pivot point of the displayObject that it rotates around

### `position`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:15`

The coordinate of the object relative to the local coordinates of the parent.

### `renderable`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:80`

Can this object be rendered

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:39`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:23`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:97`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:55`

The visibility of the object.

### `width`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:32`

The width of the displayObjectContainer, setting this will actually modify the scale to achieve the value set

### `worldAlpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:106`

[read-only] The multiplied alpha of the displayObject

### `worldTransform`

Mat3 private

Inherited from DisplayObject but overwritten in `src/pixi/display/Stage.js:18`

[read-only] Current transform of the object based on world (parent) factors

### `worldVisible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:294`

[read-only] Indicates if the sprite is globaly visible.